model.hh File Reference
`#include <mia/core/typedescr.hh>`
`#include <mia/core/regmodel.hh>`
Include dependency graph for 2d/model.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Typedefs

typedef TFactory< C2DRegModel > | C2DRegModelPlugin
| Plugin for the 2D registration model.
typedef THandlerSingleton< TFactoryPluginHandler< C2DRegModelPlugin > > | C2DRegModelPluginHandler
typedef std::shared_ptr< C2DRegModel > | P2DRegModel
| Pointer type for the registration model.

## Variables

NS_MIA_BEGIN typedef TRegModel< 2 > | C2DRegModel
| the 2D time-marching registration model
template class EXPORT_2D | TFactory< C2DRegModel >
template class EXPORT_2D | TFactoryPluginHandler< C2DRegModelPlugin >
template class EXPORT_2D | THandlerSingleton< TFactoryPluginHandler< C2DRegModelPlugin > >
template class EXPORT_2D | TPlugin< C2DImage, regmodel_type >
template<>
const char *const | TPluginHandler< C2DRegModelPlugin >::m_help
| Plugin handler for the 2D registration model.
template class EXPORT_2D | TRegModel< 2 >

## Typedef Documentation

## C2DRegModelPluginHandler

typedef THandlerSingleton< TFactoryPluginHandler<C2DRegModelPlugin> > C2DRegModelPluginHandler

Definition at line 67 of file 2d/model.hh.

## P2DRegModel

typedef std::shared_ptr<C2DRegModel > P2DRegModel

Pointer type for the registration model.

Definition at line 52 of file 2d/model.hh.

## Variable Documentation

## TFactory< C2DRegModel >

template class EXPORT_2D TFactory< C2DRegModel >

extern

## TFactoryPluginHandler< C2DRegModelPlugin >

template class EXPORT_2D TFactoryPluginHandler< C2DRegModelPlugin >

extern

## THandlerSingleton< TFactoryPluginHandler< C2DRegModelPlugin > >

template class EXPORT_2D THandlerSingleton< TFactoryPluginHandler< C2DRegModelPlugin > >

extern

## TPlugin< C2DImage, regmodel_type >

template class EXPORT_2D TPlugin< C2DImage, regmodel_type >

extern

## TRegModel< 2 >

template class EXPORT_2D TRegModel< 2 >

extern